### C.5 `configure` Options

Here is a summary of the `configure` options and arguments that are most often useful for building gdb. `configure` also has several other options not listed here. see What Configure Does, for a full explanation of `configure`.

         configure [--help]
                   [--prefix=dir]
                   [--exec-prefix=dir]
                   [--srcdir=dirname]
                   [--norecursion] [--rm]
                   [--target=target]
                   host

You may introduce options with a single ‘`-`’ rather than ‘`--`’ if you prefer; but you may abbreviate option names if you use ‘`--`’.

`--help`
  Display a quick summary of how to invoke `configure`.
`--prefix=`dir
  Configure the source to install programs and files under directory `dir`.
`--exec-prefix=`dir
  Configure the source to install programs under directory `dir`.
`--srcdir=`dirname
  Warning: using this option requires gnu `make`, or another `make` that implements the `VPATH` feature.
  Use this option to make configurations in directories separate from the gdb source directories. Among other things, you can use this to build (or maintain) several configurations simultaneously, in separate directories. `configure` writes configuration-specific files in the current directory, but arranges for them to use the source in the directory dirname. `configure` creates directories under the working directory in parallel to the source directories below dirname.
`--norecursion`
  Configure only the directory level where `configure` is executed; do not propagate configuration to subdirectories.
`--target=`target
  Configure gdb for cross-debugging programs running on the specified target. Without this option, gdb is configured to debug programs that run on the same machine (host) as gdb itself.

  There is no convenient way to generate a list of all available targets.

host`...`
  Configure gdb to run on the specified host.

  There is no convenient way to generate a list of all available hosts.

There are many other options available as well, but they are generally needed for special purposes only.